Package com.independentsoft.office.spreadsheet.pivotTables

# Enum Class SourceType

java.lang.Object
java.lang.Enum<SourceType>
com.independentsoft.office.spreadsheet.pivotTables.SourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<SourceType>`, `Constable`

public enum SourceType extends Enum<SourceType>
The Enum SourceType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSOLIDATION_RANGES`
  `EXTERNAL`
  `NONE`
  `SCENARIO_SUMMARY_REPORT`
  `WORKSHEET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SourceType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SourceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONSOLIDATION_RANGES

    public static final SourceType CONSOLIDATION_RANGES

  - ### EXTERNAL

    public static final SourceType EXTERNAL

  - ### SCENARIO_SUMMARY_REPORT

    public static final SourceType SCENARIO_SUMMARY_REPORT

  - ### WORKSHEET

    public static final SourceType WORKSHEET

  - ### NONE

    public static final SourceType NONE

- ## Method Details

  - ### values

    public static SourceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SourceType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null